<?php  
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();
$idcdin = $sesion->id;
      @$nombrec=$_POST['nombresal'];
   @$concepto=$_POST['conceptosal'];
    @$autoriza=$_POST['autorizasal'];
   @$cuenta=$_POST['copia_cuenta'];
   @$gtot=$_POST['copia_gtot'];
   @$ptos=$_POST['copia_ptos'];
   	@$bconf=$_POST['autbco'];
	@$comtarj=$_POST['comision'];
	@$ibanco=$_POST['banco'];
	@$ifecha=$_POST['fechad'];
	@$ifolio=$_POST['folio'];
	@$ipago=$_POST['pago'];
	@$tipop=$_POST['pagos'];
	@$nombrec=$_POST['nombresal'];
	@$concepto=$_POST['conceptosal'];
	@$autoriza=$_POST['autorizasal'];
	@$cdent=$_POST['entrega'];
	$pago_ef=0;
	$pago_de=0;
	$pago_tc=0;
	$pago_vo=0;
	$pago_re=0;
	$pago_xp=0;
	
	
	
   $qp3 = "select  idusuarios_ci, nombre from usuarios_ci where idusuarios_ci='$idcdin'";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado): ' . mysql_error());

	$rp3 = mysql_fetch_object($cp3);	
//	$idcentro = $rp3->idcd;
	$nombrecentro=$rp3->nombre;
	$puntosok=$ptos;

   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

	   		// **********************************************************************************	
	   			 switch($tipop)
				{
					
					case "EFECTIVO": $pago_ef=$gtot; break;
					case "DEPOSITO": $pago_de=$gtot; break;
					case "TARJETA": $pago_tc=$gtot; break;
					case "PORPAGAR": $pago_xp=$gtot; break;
					
				}
date_default_timezone_set('America/Mexico_City');
setlocale(LC_ALL,"es_ES");
$fechaT=(strftime("%A, %d de %B de %Y; a las %X"));
//////////////////////////////////////////////////////////////////////////////////////////////
 $qa = "SELECT consec FROM cdconsec WHERE idcd =$idcdin";
   $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
      while($ra = mysql_fetch_row($ca))
   {
	   $trans = $ra[0]+1;
	};
	if($cdent==$idcdin){
	$qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, fechae,  observaciones
							    ) 
							    VALUES 
							    (
								    '1', '6',curdate(),curtime(),'$idcdin', '$trans','$cdent', 'ENTREGADO', curdate(),'$gtot'
							     )";
					$cIP = mysql_query($qIP) or die ('Error (insert transacciones): ' . mysql_error());
	}else{
	$qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, fechae,  observaciones
							    ) 
							    VALUES 
							    (
								    '1', '6',curdate(),curtime(),'$idcdin', '$trans','$cdent', 'PENDIENTE', '0000-00-00','$gtot'
							     )";
					$cIP = mysql_query($qIP) or die ('Error (insert transacciones): ' . mysql_error());	
		
	}
	$qa = "SELECT idtransacciones FROM transacciones WHERE inversionista_id_inver = 1 and fechat= curdate() order by horat ASC";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
	   $transac = $ra[0];
	};	
	
	
$qIP2 = "INSERT INTO pagovta
							    (	 
							     idtransacciones, efectivo, deposito, tarjeta, regalias, voucher, porpagar 
							    ) 
							    VALUES 
							    (
								    '$transac', '$pago_ef', '$pago_de', '$pago_tc', '$pago_re', '$pago_vo', '$pago_xp'
							     )";
					$cIP2 = mysql_query($qIP2) or die ('Error (insert pagovta): ' . mysql_error());	
	$qP = "INSERT INTO depositos
							    (	 
							      centros_idcd, transacciones_idtransacciones, cantidad, puntos, no_ficha, banco_idbanco, fechad, status
							    ) 
							    VALUES 
							    (
								    '$idcdin', '$transac','$gtot','0','$ifolio','$ibanco',  '$ifecha',  '$tipop'
							     )";
					$cP = mysql_query($qP) or die ('Error (insert depositos): ' . mysql_error());
		
		$qP88 = "INSERT INTO otrasal
							    (	 
							      idtransacciones, nombrec, concepto, autoriza
							    ) 
							    VALUES 
							    (
								    '$transac', '$nombrec','$concepto','$autoriza'
							     )";
					$cP88 = mysql_query($qP88) or die ('Error (insert depositos): ' . mysql_error());
	
	for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A4[$k]=$_POST["copia_id_prod$k"];
					
					$qP1 = "INSERT INTO pedido
							    (	 
							    transacciones_idtransacciones, productos_idprod, cant 
							    ) 
							    VALUES 
							    (
								 '$transac', '$A4[$k]','$A1[$k]'
							     )";
					$cP1 = mysql_query($qP1) or die ('Error (insert pedido): ' . mysql_error());
				if($idcdin==$cdent){	$qpl = "update stock set cantidad=cantidad-$A1[$k] where idprod=$A4[$k] and idcd='$idcdin'";
$cpl = mysql_query($qpl) or die ('Error (update stock): ' . mysql_error());}
		   		}	
		   	}


 $qPP = "update cdconsec set consec='$trans' where idcd=$idcdin";
    $rPP = mysql_query($qPP) or die ('ErrPP update consec: '. mysql_error());
	








   $gtot=0;
   
   echo"<table><tr valign=\"top\" height=\"470\">";
	   		echo "<td width=\"300\"><center>
			<font size=\"5\"><b>Salida de Producto</b></font><font size=\"2\"
			
			<br><bR>
			Pedido<b> $idcdin - $trans </b>&nbsp;&nbsp; Pago: <b>$tipop</b>&nbsp;&nbsp; CD: <b>$idcdin</b> EN: <b>$cdent</b>";
			if($ipago==2){echo"<br> <b> Referencia: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
			echo"<br>$fechaT $hora<br>  <table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
		
		<tr><td>Nombre:</td><td>$nombrec</td></tr>
		<tr><td>Concepto:</td><td>$concepto</td></tr>
				</table>			<br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			if($ipago==3){echo"<tr><td align=\"center\" width=\"20\"><font size=2>1</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>Plata 1000 TC</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$comtarj</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$comtarj</font></td></tr>";$gtot+=$comtarj;}
			$gtot2=$gtot;
		   	echo "</table><table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos 0</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			
			
			</table></font></center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
			</td>";
			
			echo "<td width=\"60\"></td><td width=\"300\"><center>
			<font size=\"5\"><b>Salida de Producto</b></font><font size=\"2\"
			
			<br><bR>
			Pedido<b> $idcdin - $trans</b>&nbsp;&nbsp; Pago: <b>$tipop</b>&nbsp;&nbsp; CD: <b>$idcdin</b> EN: <b>$cdent</b>";
			if($ipago==2){echo"<br> <b> Referencia: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
			echo"<br>$fechaT $hora<br>  <table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
		
		<tr><td>Nombre:</td><td>$nombrec</td></tr>
		<tr><td>Concepto:</td><td>$concepto</td></tr>
				</table>			<br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			if($ipago==3){echo"<tr><td align=\"center\" width=\"20\"><font size=2>1</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>Plata 1000 TC</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$comtarj</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$comtarj</font></td></tr>";$gtot+=$comtarj;}
			$gtot2=$gtot;
		   	echo "</table><table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"></td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			
			
			</table></font></center><br><font size=\"2\">__________________________ &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			COPIA - CD</font>
			<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$autoriza</td></tr>";

echo"<tr>";
	   		echo "<td><br>
			<font size=\"5\">
			<center><b>Control Inventario</B></center> </font><font size=\"2\"><br><b>Pedido $idcdin - $trans</b>
			&nbsp;&nbsp;&nbsp;&nbsp;Realizo: $idcdin &nbsp;&nbsp;&nbsp;&nbsp; Entrego: $cdent";
			
			echo"<br>$fechaT $hora
			<br>Nombre: $nombrec
			<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			
			
		   	echo "<tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			
			</table></font>
			<center><br><br>_____________________<br>Recib&iacute; Mercancia";echo"</td>";
			echo "<td width=\"30\"></td><td><br><font size=\"5\">
			<center><b>Control Admin.</B></center>
			<font size=\"2\"><br><b>Transacci&oacute;n $idcdin - $trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD:<B>$cdent</B> $nombrecentro
			 ";
			if($ipago==2){echo"<br><b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
			echo"<br>$fechaT $hora
			
			<br>Nombre: $nombrec
			
			<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			if($ipago==3){echo"<tr><td align=\"center\" width=\"20\"><font size=2>1</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>Plata 1000 TC</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$comtarj</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$comtarj</font></td></tr>";}
			
		   	echo "<tr><td></td><td align=\"center\">Puntos $ptos</td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			
			</table></font>
			<center>
			<table><tr align=\"center\" valign=\"bottom\"><td>_________________<br>Firma Autoriza</td>
			<td><table border=\"1\"><tr>
			<td>EF</td><td>DE</td><td>TC</td><td>XP</td>
			</tr>
			<tr>
			<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_xp</td>
			</tr></table></td></tr></table>";echo"</td></tr>";
?>

<tr valign="bottom"